%define version 0.1
%define snapshot 20101122
%define rel 1
%define release %mkrel 0.%{snapshot}.%{rel}

Name:		tray
Version:	%{version}
Release:	%{release}
Summary:	Small tray applications and a volume daemon
License:	GPL
Group:		System/Base
URL:		http://git.mandriva.com/?p=projects/tray.git
# git archive --prefix=tray/ master | gzip > tray-$(date +%Y%m%d).tgz
Source0:	tray-%{snapshot}.tgz
BuildRequires:	gtk+2-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	hal-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A collection of small GTK+ tray helpers and a volume daemon.

%prep
%setup -q -n tray
%apply_patches

%build
%make
%make locale

%install
rm -rf %{buildroot}
%make install DESTDIR=%{buildroot}
install -D buttons.conf %{buildroot}%{_sysconfdir}/buttons.conf

%find_lang tray_keyleds
%find_lang tray_reboot
%find_lang tray_mixer
%find_lang tray_eject
%find_lang tray_randr
%find_lang tray_buttons

%clean
rm -rf %{buildroot}

# ---------------------------------#

%package reboot
Group: System/Base
Summary: Shutdown/reboot helper for netbooks running finit

%description reboot
tray_reboot is a system tray helper to shutdown or reboot systems running
light desktop environments started by finit.

%files reboot -f tray_reboot.lang
%defattr(0755,root,root,0755)
%{_bindir}/tray_reboot
%{_sbindir}/tray_logout.sh
%defattr(0644,root,root,0755)
%{_datadir}/icons/tray_reboot/*

# ---------------------------------#

%package keyleds
Group: System/Base
Summary: Keyboard status helper for netbooks without physical LEDs

%description keyleds
tray_reboot is a {caps/num/scroll}lock status applet for 
light desktop environments started by finit.

%files keyleds -f tray_keyleds.lang
%defattr(0755,root,root,0755)
%{_bindir}/tray_keyleds
%defattr(0644,root,root,0755)
%{_datadir}/icons/tray_keyleds/*

# ---------------------------------#

%package mixer
Group: System/Base
Summary: Lightweight mixer 

%description mixer 
tray_mixer is lightweigth system tray mixer for light desktops environments 
started by finit.

%files mixer -f tray_mixer.lang
%defattr(0755,root,root,0755)
%{_bindir}/tray_mixer
%defattr(0644,root,root,0755)
%{_datadir}/icons/tray_mixer/*

# ---------------------------------#

%package eject
Group: System/Base
Summary: Lightweight usb safe umount app

%description eject
tray_eject is lightweigth system tray app to safely umount usb storage devices.

%files eject -f tray_eject.lang
%defattr(0755,root,root,0755)
%{_bindir}/tray_eject
%defattr(0644,root,root,0755)
%{_datadir}/icons/tray_eject/*

# ---------------------------------#

%package randr
Group: System/Base
Summary: Lightweight randr app

%description randr
tray_randr is a lightweight system tray randr app.

%files randr -f tray_randr.lang
%defattr(0755,root,root,0755)
%{_bindir}/tray_randr
%defattr(0644,root,root,0755)
%{_datadir}/icons/tray_randr/*

# ---------------------------------#

%package buttons
Group: System/Base
Summary: Silly panel application that executes arbitray commands

%description buttons
tray_buttons is a silly panel application that executes arbitray commands
when these (configurable) buttons are pressed.

%files buttons -f tray_buttons.lang
%defattr(0755,root,root,0755)
%{_bindir}/tray_buttons
%defattr(0644,root,root,0755)
%{_datadir}/icons/tray_buttons/*
%config(noreplace) %{_sysconfdir}/buttons.conf

# ---------------------------------#

%package -n vold
Group: System/Base
Summary: Lighweight volume daemon

%description -n vold
vold is lightweigth daemon that listen for the volume multimedia keys (raise,
lower and mute) for light desktop environments.

%files -n vold
%defattr(0755,root,root,0755)
%{_bindir}/vold
%defattr(0644,root,root,0755)
%{_datadir}/icons/vold/*


%changelog
* Mon Nov 22 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.1-0.20101122.1mdv2011.0
+ Revision: 599816
- New version: 20101122

* Mon Oct 25 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.1-0.20101022.1mdv2011.0
+ Revision: 589311
- New version: 20101022
- buttons.conf is now %%config(noreplace)

* Tue Oct 05 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.1-0.20101005.1mdv2011.0
+ Revision: 583124
- New version: 20101005
- All patches committed upstream =)
- Use %%make instead of make
- Add %%clean section

  + Olivier Blin <oblin@mandriva.com>
    - fix l10n patch to handle tray_buttons
    - rediff patches for latest tray snapshot
    - add auto-mount and i18n fixes (from Mandriva InstantOn and Gdium)

* Wed Apr 14 2010 Caio Begotti <caio1982@mandriva.org> 0.1-0.20100413.2mdv2010.1
+ Revision: 534887
- it was probably a test that got committed by claudio, reverting it now through a patch until it gets sorted out

* Tue Apr 13 2010 Caio Begotti <caio1982@mandriva.org> 0.1-0.20100413.1mdv2010.1
+ Revision: 534509
- new tarball and release to get the recently-modified icons for tray_eject and tray_mixer
- new version (now with the supah dupah tray_buttons application)

* Thu Jul 16 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.1-0.20090716.1mdv2010.0
+ Revision: 396688
- Use a newer snapshot (adds "vold" and integrates our patches)

* Fri Nov 14 2008 Olivier Blin <oblin@mandriva.com> 0.1-0.20081105.2mdv2009.1
+ Revision: 303222
- fix patch to error icon
- use pmount if available (from Cabral)

* Wed Nov 05 2008 Olivier Blin <oblin@mandriva.com> 0.1-0.20081105.1mdv2009.1
+ Revision: 300067
- update to snapshot 20081105

* Fri Oct 31 2008 Olivier Blin <oblin@mandriva.com> 0.1-0.20081031.3mdv2009.1
+ Revision: 299090
- buildrequire dbus-glib-devel
- buildrequire hal-devel
- quit tray_reboot when pressing Esc in direct mode (adapted from Caio's patch)
- update to 20081031 snapshot
- remove merged patches
- add tray-eject sub-package

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 0.1-0.20080930.2mdv2009.0
+ Revision: 290920
- exit after cancel in direct mode (-d)
- use smaller border width (patch from Caio Begotti)
- use halt and reboot instead of shutdown helper, since finit is now compatible with these commands (patch from Caio Begotti)

* Tue Sep 30 2008 Olivier Blin <oblin@mandriva.com> 0.1-0.20080930.1mdv2009.0
+ Revision: 289931
- buildrequire alsa-lib-devel
- fix gtk2 buildrequires
- update snapshot
- improve versionning (by moving snapshot date in release tag)
- import tray


